<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

  $conexion=conecta_default();
 
    $q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci WHERE 1";
	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	 
	   $cons2 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion)); 
	   
   echo "<body>
			<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";
 	echo " <center><br><br>Seleccione el tipo de busqueda a realizar para consultar pedidos
   
	<br><br><hr><br>
	
	<form name=\"Busqueda1\" action=\"pedidos_fecha.php\" method=\"post\">";
	echo"<table>
	<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\">&nbsp;<input type=\"text\" name=\"fecha_i\" value=\"\"></td>
	<td>Fecha Final:<td/>
	<td><input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\">&nbsp;<input type=\"text\" name=\"fecha_f\" value=\"\"></td>
	<td>
		 				Centro:
		 			</td>
		 			<td>";
		 					echo "<select name = \"listacd\"><option value=\"0\">Todos</option>\n";
			 					while ($datos = mysqli_fetch_array($cons2))
							{
									echo "<option value=\"".$datos[0]."\">".$datos[1]."</option>\n";
							}
			 	
				 	
	 echo"</select></td>
							 <td><input type=\"submit\" value=\"Buscar\" name=\"boton_buscar1\"></td></tr></table>
 
                 
	</form><hr><br>"; 

echo"<form name=\"Busqueda2\" action=\"pedidos_num.php\" method=\"post\">";
	echo"<table>
	<tr>
	<td>
	Centro:
		 			</td>
		 			<td><select name = \"listcd\">";
			 					while ($datos2 = mysqli_fetch_array($consultada1))
							{
									echo "<option value=\"".$datos2[0]."\">".$datos2[0]."</option>\n";
							}
			 	
				 	
	 echo"</select></td>
	<td>
	Numero Inicial:<td/>
	<td><input type=\"text\" name=\"num_i\"  size=\"4\" value=\"\"></td>
	<td>Numero Final:<td/>
	<td><input type=\"text\" name=\"num_f\" size=\"4\" value=\"\"></td>
	
							 <td><input type=\"submit\" value=\"Buscar\" name=\"boton_buscar2\"></td></tr></table>
 
                 
	</form><hr>"; 
	echo "
   
	<br>
	
	<form name=\"Busqueda\" action=\"pedidos_rfc.php\" method=\"post\">
	A nombre del RFC : <input type=\"text\" name=\"rfc\" size=\"13\" maxlength=\"13\">
							 <input type=\"submit\" value=\"Buscar\" name=\"boton_buscar2\">
 
                 
	</form><hr>";
	echo "
   
	<br>
	
	<form name=\"Busqueda\" action=\"pedidos_rfc.php\" method=\"post\">
	Buscar por transaccion : <input type=\"text\" name=\"trans\" size=\"13\" maxlength=\"13\">
							 <input type=\"submit\" value=\"Buscar\" name=\"boton_buscar2\">
 
                 
	</form><hr></center>";

	
	if ($boton_buscar1 == "Buscar") 
	{
	echo"la fecha seleccionada es $fecha_i";
			
		/* $q0 = "SELECT rfc FROM distribuidor WHERE rfc =  \"$campo_buscar\"";
		$tabla_recibida0 = mysqli_query($conexion, $q0) or die ("Problema con Query.");
		
		while($cPrueba = mysqli_fetch_row($tabla_recibida0))
	   {
	      $prueba = $cPrueba[0]; // Cantidad de Productos para el contador.
	   }; */
		
		}
				
		if ($boton_buscar2 == "Buscar") 
	{
	echo"el rfc seleccionada es $rfc";
		/* 	
		$q0 = "SELECT rfc FROM distribuidor WHERE rfc =  \"$campo_buscar\"";
		$tabla_recibida0 = mysqli_query($conexion, $q0) or die ("Problema con Query.");
		
		while($cPrueba = mysqli_fetch_row($tabla_recibida0))
	   {
	      $prueba = $cPrueba[0]; // Cantidad de Productos para el contador.
	   }; */
		
		}	
   
   
?>
